<?php


class bo2TripDataClass extends stdClass {
	
	var $vessel;
	var $trip_key;
	var $trip_code;
	var $trip_start_date;
	var $trip_end_date;
	var $trip_nights;
	var $trip_itinerary;
	var $trip_itinerary_long;
	var $trip_embarkation_point;
	var $trip_disembarkation_point;
	var $trip_prices = array();
	var $trip_availability;
	var $trip_itin_key;
	
	
	/**
	 * Function            : __construct()
	 * 
	 * @param unknown $data
	 */
	function __construct( $data ) {
		
		$a_properties = get_object_vars( $data );
		
		foreach( $a_properties as $name => $value  ) {
			$this->$name = $value;
		}
		
		$this->trip_prices = array();
		$this->trip_itinerary = trim( $this->trip_itinerary );
		$this->trip_itinerary_long = trim( $this->trip_itinerary_long );
		
		unset( $this->price_class );
		unset( $this->class_name );
		unset( $this->price_amount );
		unset( $this->price_currency );
	}
	
	
	
	/**
	 * Function        : addPrice()
	 * 
	 * @param unknown $price_class
	 * @param unknown $class_name
	 * @param unknown $price_amount
	 * @param unknown $price_currency
	 */
	function addPrice( $price_class, $class_name, $price_amount, $price_currency ) {
		
		$price = new stdClass();
		$price->price_class = $price_class;
		$price->class_name = $class_name;
		$price->price_amount = $price_amount;
		$price->price_currency = strtoupper( $price_currency );
		
		$this->trip_prices[ $class_name ] = $price;
	}
}